
#import <Foundation/Foundation.h>

@interface SimpleRESTRequest: NSObject <NSURLConnectionDelegate>
{
@private
	NSString *_baseURL;
	NSString *_targetURL;
	NSDictionary *_parameters;
	NSURLConnection *_connection;
	NSMutableData *_data;
	BOOL _running;
}

- (id) initWithBaseURL: (NSString *) baseURL;
- (id) initWithBaseURL: (NSString *) baseURL 
             targetURL: (NSString *) targetURL;
- (id) initWithBaseURL: (NSString *) newBaseURL 
		     targetURL: (NSString *) newTargetURL
            parameters: (NSDictionary *) newParameters;

- (NSString *) baseURL;
- (NSString *) targetURL;
- (NSDictionary *) parameters;

- (void) setBaseURL: (NSString *) baseURL;
- (void) setTargetURL: (NSString *) targetURL;
- (void) setParameters: (NSDictionary *) parameters;

- (void) start;
- (void) stop;

// Notifications
@end

extern NSString * const SimpleRESTRequestDidSucceedNotification;
extern NSString * const SimpleRESTRequestJSONKey;
extern NSString * const SimpleRESTRequestDidFailNotification;
extern NSString * const SimpleRESTRequestFailureKey;
